> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Returns a list of exports created for a specific parent_id.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /audit/v2/audit-event-exports
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /audit/v2/audit-event-exports:
    get:
      tags:
        - nebius.audit.v2.AuditEventExportService
      summary: List
      description: Returns a list of exports created for a specific parent_id.
      operationId: AuditEventExportService_List
      parameters:
        - description: Parent id used when creating the audit export.
          in: query
          name: parentId
          required: true
          schema:
            type: string
        - description: Specifies the maximum number of items to return in the response.
          in: query
          name: pageSize
          schema:
            format: int64
            type: string
        - description: >-
            Token for pagination, allowing the retrieval of the next set of
            results.
          in: query
          name: pageToken
          schema:
            type: string
        - description: >-
            Region to retrieve audit exports (e.g. eu-north2, us-central1,
            eu-west1)

            See https://docs.nebius.com/overview/regions

            Default: eu-north1


            After a transition period (13-08-2026) this field becomes required.
          in: query
          name: region
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v2ListAuditEventExportResponse'
          description: A successful response.
components:
  schemas:
    v2ListAuditEventExportResponse:
      properties:
        items:
          description: List of audit event exports.
          items:
            $ref: '#/components/schemas/v2AuditEventExport'
          type: array
        nextPageToken:
          description: >-
            Token for pagination, indicating the next set of results can be
            retrieved using this token.
          type: string
      type: object
    v2AuditEventExport:
      description: >-
        A resource representing information about previously created exports of
        audit events.

        Each record stores data about which filter was used and where the audit
        events were exported.
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v2AuditEventExportSpec'
        status:
          $ref: '#/components/schemas/v2AuditEventExportStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v2AuditEventExportSpec:
      properties:
        nebiusObjectStorage:
          $ref: '#/components/schemas/auditV2NebiusObjectStorageDestination'
        params:
          $ref: '#/components/schemas/v2AuditEventExportParams'
      required:
        - params
      type: object
    v2AuditEventExportStatus:
      properties:
        exportOperationId:
          description: >-
            Identifier of the audit logs export operation.

            This value is used as the final path prefix for exported files in
            the destination object storage bucket.
          type: string
        finishedAt:
          description: Timestamp indicating when the export was finished.
          format: date-time
          type: string
        message:
          description: Error message in case of export failure.
          type: string
        startedAt:
          description: Timestamp indicating when the export was started.
          format: date-time
          type: string
        state:
          $ref: '#/components/schemas/v2AuditEventExportState'
      type: object
    auditV2NebiusObjectStorageDestination:
      properties:
        bucketById:
          $ref: '#/components/schemas/v2BucketById'
        objectPrefix:
          description: |-
            Prefix for export objects.
            Default value is `auditlogs`.
          type: string
      type: object
    v2AuditEventExportParams:
      properties:
        eventType:
          $ref: '#/components/schemas/v2EventType'
        filter:
          description: |-
            Supported filters:
            "=" - equals
            "!=" - not equals
            ":" - contains
            regex - regular expression

            Fields that can be used for filtering:
            action
            authentication.static_key_credential.id
            authentication.subject.service_account_id
            authentication.subject.tenant_user_id
            authentication.token_credential.masked_token
            project_region.name
            resource.hierarchy.id
            resource.hierarchy.name
            resource.metadata.id
            resource.metadata.name
            resource.metadata.type
            service.name
            type
            status
          title: >-
            Example:

            service.name = 'iam' AND resource.hierarchy.id:'container-e0t' AND
            regex(resource.metadata.name, '^.*test.*$')
          type: string
        from:
          description: >-
            Returns results with a timestamp greater than or equal to this
            value.
          format: date-time
          type: string
        to:
          description: Returns results with a timestamp lower than this value.
          format: date-time
          type: string
      required:
        - from
        - to
        - eventType
      type: object
    v2AuditEventExportState:
      default: AUDIT_EVENT_EXPORT_STATE_UNSPECIFIED
      description: |2-
         - AUDIT_EVENT_EXPORT_STATE_RUNNING: Export created and running.
         - AUDIT_EVENT_EXPORT_STATE_CANCELED: Export has been cancelled.
         - AUDIT_EVENT_EXPORT_STATE_DONE: Export successfully completed.
         - AUDIT_EVENT_EXPORT_STATE_FAILED: Export failed.
      enum:
        - AUDIT_EVENT_EXPORT_STATE_UNSPECIFIED
        - AUDIT_EVENT_EXPORT_STATE_RUNNING
        - AUDIT_EVENT_EXPORT_STATE_CANCELED
        - AUDIT_EVENT_EXPORT_STATE_DONE
        - AUDIT_EVENT_EXPORT_STATE_FAILED
      type: string
    v2BucketById:
      properties:
        id:
          description: The id of the bucket in the tenant where the logs will be exported.
          type: string
      required:
        - id
      type: object
    v2EventType:
      default: EVENT_TYPE_UNSPECIFIED
      description: |2-
         - EVENT_TYPE_UNSPECIFIED: Unspecified event type.
         - CONTROL_PLANE: Control plane events.
         - DATA_PLANE: Data plane events (S3).
      enum:
        - EVENT_TYPE_UNSPECIFIED
        - CONTROL_PLANE
        - DATA_PLANE
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````